## org.hibernate.annotations
Annotation Type Cache

    @Target(value={TYPE,METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface Cache

Add caching strategy to a root entity or a collection

Required Element Summary
`CacheConcurrencyStrategy` `usage` concurrency strategy chosen

Optional Element Summary
`String` `include` whether or not lazy-properties are included in the second level cache default all, other value: non-lazy
`String` `region` cache region name

Element Detail

### usage

    public abstract CacheConcurrencyStrategy usage

  concurrency strategy chosen

### region

    public abstract String region

  cache region name

  Default:
    ""

### include

    public abstract String include

  whether or not lazy-properties are included in the second level cache default all, other value: non-lazy

  Default:
    "all"

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.